Package twisted :: Package scripts :: Module conch :: Class SSHUnixClientProtocol

[frames | no frames]

## Class SSHUnixClientProtocol

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              SSHUnixClientProtocol

Method Summary
| `__init__(self)`
| `adjustWindow(self, channel, bytesToAdd)`
| `cancelRemoteForwarding(self, remotePort)`
| `client_addWindowBytes(self, lst)`
| `client_callbackDeferred(self, lst)`
| `client_channelID(self, lst)`
| `client_channelOpen(self, lst)`
| `client_closed(self, lst)`
| `client_dataReceived(self, lst)`
| `client_eofReceived(self, lst)`
| `client_errbackDeferred(self, lst)`
| `client_extReceived(self, lst)`
| `client_openFailed(self, lst)`
| `client_returnDeferred(self, lst)`
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `moveDeferred(self, dn)`
| `openChannel(self, channel, extra)`
| `requestRemoteForwarding(self, remotePort, hostport)`
| `returnDeferred(self)`
| `sendClose(self, channel)`
| `sendData(self, channel, data)`
| `sendEOF(self, channel)`
| `sendExtendedData(self, channel, dataType, data)`
| `sendGlobalRequest(self, request, data, wantReply)`
| `sendMessage(self, vocabName, *tup)`
| `sendRequest(self, channel, requestType, data, wantReply)`
Inherited from Canana
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, chunk)`
| ``sendEncoded`(self, obj)`
Inherited from Pynana
| ``_encode`(self, obj, write)`
| ``_selectDialect`(self, dialect)`
| ``callExpressionReceived`(self, obj)`
| ``gotItem`(self, item)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`list` | `knownDialects` = `['none']`
Inherited from Pynana
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionReady(self)

Surrogate for connectionMade Called after protocol negotiation.

  Overrides:
    `twisted.spread.banana.Pynana.connectionReady` (inherited documentation)

### expressionReceived(self, lst)

Called when an expression (list, string, or int) is received.

  Overrides:
    `twisted.spread.banana.Pynana.expressionReceived` (inherited documentation)

Class Variable Details

### knownDialects

  Type:
    `list`
  Value:

        ['none']

Generated by Epydoc 2.0 on Wed Feb 25 07:37:43 2004 | http://epydoc.sf.net